-------------------------------------------------------------------------------
-- (C) Altran Praxis Limited
-------------------------------------------------------------------------------
--
-- The SPARK toolset is free software; you can redistribute it and/or modify it
-- under terms of the GNU General Public License as published by the Free
-- Software Foundation; either version 3, or (at your option) any later
-- version. The SPARK toolset is distributed in the hope that it will be
-- useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
-- Public License for more details. You should have received a copy of the GNU
-- General Public License distributed with the SPARK toolset; see file
-- COPYING3. If not, go to http://www.gnu.org/licenses for a complete copy of
-- the license.
--
--=============================================================================

-- packed version of SPTerminalLike.
separate (SP_Relations)
function SP_Terminal_Like (Sym : SP_Symbols.SP_Symbol) return Boolean is
   --# hide SP_Terminal_Like;
   Result : Boolean;
begin
   if Sym in SP_Symbols.SP_Terminal then
      Result := True;
   else
      Result := Boolean'Val ((Rel_Tab (Sym) / Terminal_Like) mod Term_Like_Lim);
   end if;
   return Result;
end SP_Terminal_Like;
